From b5660e1c1cd799a38490c7667257193f4d630734 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sun, 29 Nov 2020 13:12:45 -0600
Subject: [PATCH 1/3] from Heikki

---
 doc/src/sgml/catalogs.sgml    | 1 -
 doc/src/sgml/config.sgml      | 2 +-
 doc/src/sgml/func.sgml        | 5 +----
 doc/src/sgml/lobj.sgml        | 2 +-
 doc/src/sgml/protocol.sgml    | 2 +-
 doc/src/sgml/ref/cluster.sgml | 9 ---------
 6 files changed, 4 insertions(+), 17 deletions(-)

diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 569841398b..238af2fed8 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -10112,7 +10112,6 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
     </tbody>
    </tgroup>
   </table>
-
  </sect1>
 
  <sect1 id="view-pg-hba-file-rules">
diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 5b7e91c701..79201376c7 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -9440,7 +9440,7 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
         activity of scans already in progress.  This can result in
         unpredictable changes in the row ordering returned by queries that
         have no <literal>ORDER BY</literal> clause.  Setting this parameter to
-        <literal>off</literal> ensures the pre-8.3 behavior in which a sequential
+        <literal>off</literal> ensures the simple behavior in which a sequential
         scan always starts from the beginning of the table.  The default
         is <literal>on</literal>.
        </para>
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index 507bc1a668..5c27cc2b13 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -17368,10 +17368,7 @@ SELECT NULLIF(value, '(none)') ...
    (last subscript varies most rapidly).
    If the contents of two arrays are equal but the dimensionality is
    different, the first difference in the dimensionality information
-   determines the sort order.  (This is a change from versions of
-   <productname>PostgreSQL</productname> prior to 8.2: older versions would claim
-   that two arrays with the same contents were equal, even if the
-   number of dimensions or subscript ranges were different.)
+   determines the sort order.
   </para>
 
    <table id="array-operators-table">
diff --git a/doc/src/sgml/lobj.sgml b/doc/src/sgml/lobj.sgml
index 6329cf0796..8780458020 100644
--- a/doc/src/sgml/lobj.sgml
+++ b/doc/src/sgml/lobj.sgml
@@ -144,7 +144,7 @@ Oid lo_creat(PGconn *conn, int mode);
      or <symbol>InvalidOid</symbol> (zero) on failure.
 
      <replaceable class="parameter">mode</replaceable> is unused and
-     ignored as of <productname>PostgreSQL</productname> 8.1; however, for
+     ignored since <productname>PostgreSQL</productname> 8.1; however, for
      backward compatibility with earlier releases it is best to
      set it to <symbol>INV_READ</symbol>, <symbol>INV_WRITE</symbol>,
      or <symbol>INV_READ</symbol> <literal>|</literal> <symbol>INV_WRITE</symbol>.
diff --git a/doc/src/sgml/protocol.sgml b/doc/src/sgml/protocol.sgml
index cee28889e1..e96ddefa98 100644
--- a/doc/src/sgml/protocol.sgml
+++ b/doc/src/sgml/protocol.sgml
@@ -172,7 +172,7 @@
 
    <para>
     Data of a particular data type might be transmitted in any of several
-    different <firstterm>formats</firstterm>.  As of <productname>PostgreSQL</productname> 7.4
+    different <firstterm>formats</firstterm>.  Currently
     the only supported formats are <quote>text</quote> and <quote>binary</quote>,
     but the protocol makes provision for future extensions.  The desired
     format for any value is specified by a <firstterm>format code</firstterm>.
diff --git a/doc/src/sgml/ref/cluster.sgml b/doc/src/sgml/ref/cluster.sgml
index b9450e7366..16e16f6f66 100644
--- a/doc/src/sgml/ref/cluster.sgml
+++ b/doc/src/sgml/ref/cluster.sgml
@@ -206,15 +206,6 @@ CLUSTER;
   <para>
    There is no <command>CLUSTER</command> statement in the SQL standard.
   </para>
-
-  <para>
-   The syntax
-<synopsis>
-CLUSTER <replaceable class="parameter">index_name</replaceable> ON <replaceable class="parameter">table_name</replaceable>
-</synopsis>
-  is also supported for compatibility with pre-8.3 <productname>PostgreSQL</productname>
-  versions.
-  </para>
  </refsect1>
 
  <refsect1>
-- 
2.17.0

